% This plots the identification MSE surface for ALI and returns a handle to it

function h_contours = msesurf_id(f_des,mse_min,Rss,ranges,cur_fig_num)
 
 % check if two-tap
 if length(f_des) ~= 2, 
   error('surface plots only for estimator length of 2'); 
 end;

 % define a grid in f space 
 num_pts = 20;				% <80 seems to work well
 f0_grid = linspace(f_des(1)-ranges(1),f_des(1)+ranges(1),num_pts);
 f1_grid = linspace(f_des(2)-ranges(2),f_des(2)+ranges(2),num_pts);
 L0 = length(f0_grid); L1 = length(f1_grid);

 %%%%%%%%%%%% PLOT THE STUFF %%%%%%%%%%%%%

 MSE = zeros(L0,L1);
 for i=1:L0,
   for k=1:L1,
     MSE(i,k) = (f_des-[f0_grid(i);f1_grid(k)])'*Rss*...
	(f_des-[f0_grid(i);f1_grid(k)]) + mse_min;
   end
 end

 % plot MSE contours 
 figure(cur_fig_num);
 [dum,h_contours] = contour(f0_grid,f1_grid,MSE',20,'c'); 
 hold on; h_contours = [h_contours.',plot(f_des(1),f_des(2),'x')]; hold off;
 xlabel('f0'); ylabel('f1');
 axis([f_des(1)-ranges(1),f_des(1)+ranges(1),...
       f_des(2)-ranges(2),f_des(2)+ranges(2)]);		% needed if hold is on
 grid off;
 title('MSE Surface');

