% this manipulates the channel impulse response taps for ALI

 % the default filename for channel coefficients 
 default_fname = 'test_channel.mat';

 % handle the "channel type" setting
 read_from_file = 0;
 if get(h_chan,'Value') == 1,	 		% default two-tap
   set(h_coefs,'String','[ 1 0.5 ]');
   set(h_coefs,'Enable','inactive');
 elseif get(h_chan,'Value') == 2,		% default four-tap 
   set(h_coefs,'String','[ 0.1 1 0.5 -0.1 ]');
   set(h_coefs,'Enable','inactive');
 elseif get(h_chan,'Value') == 3,		% custom 
   if ~isempty(findstr('.mat',get(h_coefs,'String'))),	
     set(h_coefs,'String','[ 1 0.5 ]');		% if was a filename
   end
   set(h_coefs,'Enable','on');	
 elseif get(h_chan,'Value') == 4,		% read from file... 
   fname = get(h_coefs,'String');  
   if isempty(findstr('.mat',fname)),		% check if .mat file
     set(h_coefs,'String',default_fname);
     fname = default_fname;
   elseif length(fname)-findstr('.mat',fname) ~= 3, 
     set(h_coefs,'String',default_fname);
     fname = default_fname;
   end
   set(h_coefs,'Enable','on');	
   read_from_file = 1;
 end

 % read in channel taps
 if read_from_file,
   err_string = ['Request ignored!  File "',fname,'" not found.'];
   eval(['load ',fname,' c'],...  		% get "c" variable from fname 
	'disp(err_string)');   			% ...or warn if this failed
 else
   c = str2num(get(h_coefs,'String')); 		% get numeric coefficients
 end;
 if (~isreal(c))|(min(size(c)) ~= 1),
   error('Channel must be a real-valued vector');
 elseif length(c) < 2,
   error('must have at least two channel coefficients');
 end
 c=c(:);
 N_c = length(c);   

 % normalize channel
 if get(h_norm,'Value'),
   c = c/norm(c);
 end

 % propagate change through caculation of main global quantities
 ui_set_global;
