% this handles the Eigenanalysis function for ALI

 % it is assumed that all relevant parameters have been initialized

 % report eigenspread as text message (and avoid divide-by-zero warning)
 eigsprd = max(abs(diag(Lam)))/max(min(abs(diag(Lam))),eps/100);
 if eigsprd > 0.1/eps, eigsprd = Inf; end;
 set(h_sprd, 'String',['Eigenspread = ',num2str(eigsprd,3)]); 

 % plot principle axis on contours (if they exist)
 if ishandle(h_trace_c), 	% first check if contours exist
   figure(fig_surf);
   hold on;
   h_trace_g = ...
     plot(f_des(1)+[-vec1(1),vec1(1)]*.8,f_des(2)+[-vec1(2),vec1(2)]*.8,'b--');
   h_trace_g = [h_trace_g,...
     plot(f_des(1)+[-vec2(1),vec2(1)]*.8,f_des(2)+[-vec2(2),vec2(2)]*.8,'b--')];
   hold off;
 end;
